diff --git a/create_virtual_environment.sh b/create_virtual_environment.sh
new file mode 100755
index 0000000000000000000000000000000000000000..f5bc4cbdca75346e225a992f1b21aae2e8a4b5b5
--- /dev/null
+++ b/create_virtual_environment.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+# ensure that the libatlas-base-dev library is installed
+sudo apt-get install -y libatlas-base-dev
+
+# Create the virtual environment
+python3 -m venv ohmpy
+
+# Activate it
+source ohmpy/bin/activate || exit 1  # NOTE: Added || exit to avoid installing requirements in system python if the virtual environment can't be loaded
+
+# Solve issues associated to storage allocation
+export CFLAGS=-fcommon
+
+# install all required packages in the virtual environment.
+pip install -r requirements.txt
+
diff --git a/env.sh b/env.sh
deleted file mode 100755
index 7f8f33f924942ce32cff08982c81987785e28184..0000000000000000000000000000000000000000
--- a/env.sh
+++ /dev/null
@@ -1,7 +0,0 @@
-#!/bin/bash
-sudo apt-get install -y libatlas-base-dev
-python3 -m venv ohmpy
-source ohmpy/bin/activate || exit 1  # NOTE: Added || exit to avoid installing requirements in system python
-export CFLAGS=-fcommon
-pip install -r requirements.txt
-